Redmine - Defect #39527

Deprecate unused ApplicationHelper#render_if_exist
2023-11-08 07:31 - Mischa The Evil

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Code cleanup/refactoring Estimated time: 0.00 hour
Target version: 6.0.0

Resolution: Fixed Affected version:

Description

ApplicationHelper#render_if_exist was introduced in r19799 for #33102. After discussion in that issue and subsequent issue #36524,
it was decided to remove the sidebars from the import views after all with r21390 and r21391. It looks like that with that,
ApplicationHelper#render_if_exist became unused and obsolete.

If it is indeed confirmed obsolete, it might be desirable to deprecate the method and remove it (along with its tests) in the end.

FWIW: the names of the test methods contain a typo; s/redner/render.FWIW: the names of the test methods contain a typo;
s/redner/render.

e source:/trunk/test/helpers/application_helper_test.rb@22416#L2189
o test_redner_if_exist_should_be_render_partial

e source:/trunk/test/helpers/application_helper_test.ro@22416#L.2194
o test_redner_if exist_should_be render nil

Associated revisions

Revision 22465 - 2023-11-19 08:30 - Go MAEDA

Fix typo in test names in application_helper_test.rb: Change "redner" to "render" (#39527).

Revision 22466 - 2023-11-19 08:41 - Go MAEDA
Deprecate unused ApplicationHelper#render_if_exist (#39527).

Revision 22493 - 2023-12-01 07:59 - Go MAEDA
Fix deprecation warnings regarding the use of ActiveSupport::Deprecation.behavior (#39527, #36320).

History

#1 - 2023-11-12 13:21 - Go MAEDA
- File 39527.patch added

- Target version set to 6.0.0

It appears that render_if_exist is not being used as you have indicated.
The attached patch deprecates ApplicationHelper#render_if_exist.

#2 - 2023-11-16 07:56 - Go MAEDA
- File 39527-v2.patch added

Updated the patch. This updated patch also includes a fix for the method names in the test code.

#3 - 2023-11-19 08:42 - Go MAEDA

- Subject changed from ApplicationHelper#render _if_exist seems obsolete to Deprecate unused ApplicationHelper#render _if_exist
- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed
https://www.redmine.org/projects/redmine/repository/svn/revisions/19799
https://www.redmine.org/issues/33102
https://www.redmine.org/issues/36524
https://www.redmine.org/projects/redmine/repository/svn/revisions/21390
https://www.redmine.org/projects/redmine/repository/svn/revisions/21391
www.redmine.org/projects/redmine/repository/svn/revisions/22416/entry/trunk/test/helpers/application_helper_test.rb#L2189
www.redmine.org/projects/redmine/repository/svn/revisions/22416/entry/trunk/test/helpers/application_helper_test.rb#L2194

Committed the patch in r22466. Thank you for pointing out this issue.

Files
39527.patch 2.06 KB 2023-11-12 Go MAEDA
39527-v2.patch 2.16 KB 2023-11-16 Go MAEDA
